Description

Description of problem:

When trying to edit the entitlement count for subscriptions, with unlimited guests, a loading spinner will run forever. This spinner

blocks you from editing the number of entitlements for those subscriptions.

Steps to Reproduce:

1. Upload a manifest that has at least one subscription with unlimited guests.

2. Navigate to the subscriptions page.

3. Click one of the entitlement fields to load the edit input box.

Actual results:

A spinner replaces the entitlement count, and does not go away. This blocks you from editing the entitlement count.

Expected results:

The entitlement count edit field displays properly and you can successfuly edit the number.

Associated revisions

Revision c093b588 - 07/06/2018 02:52 PM - Tomáš Strachota

Fixes #24145 - correct message of max available entitlements

History

#1 - 07/03/2018 12:15 PM - Tomáš Strachota

- Target version set to 253

#2 - 07/03/2018 12:18 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/7493 added

#3 - 07/03/2018 02:31 PM - Tomáš Strachota

- Bugzilla link set to 1597354

#4 - 07/06/2018 02:44 PM - Walden Raines

- Target version deleted (253)

- translation missing: en.field_release set to 338

- Triaged set to No

#5 - 07/06/2018 02:45 PM - Walden Raines

- Target version deleted (253)

#6 - 07/06/2018 03:01 PM - Tomáš Strachota
- Status changed from Ready For Testing to Closed

- Target version deleted (253)

- % Done changed from 0 to 100

Applied in changeset katello|c093b5886e067e9943b8f4edbf18077333a180c0.

#7 - 07/12/2018 03:01 PM - Greg Sutcliffe

- Found in Releases Katello 3.7.0 added
